Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.notifications
Class NotificationPayloadInfo

    java.lang.Object
      com.bea.netuix.application.notifications.NotificationPayloadInfo

All Implemented Interfaces
  Serializable

    public class NotificationPayloadInfo

extends Object
implements Serializable

Used to contain information needed to construct a NotificationPayload object.

See Also
  Serialized Form

Field Summary
`Date` | `expirationDate` The date after which the notification is considered expired and will no longer be delivered.
`static int` | `MAX_PAYLOAD_LENGTH` The maximum length for a payload.
`String` | `name` The name for the notification- cannot be null.
`String` | `namespace` The namespace for the notification- cannot be null.
`String` | `payload` The actual payload for the notification.
`boolean` | `selfDestruct` Flag indicating whether notifications should self-destruct.
`String` | `sourceDesktopInstanceTitle` The desktop instance title for the source of the notification.
`DesktopPath` | `sourceDesktopPath` The desktop path for the source of the notification.
`PortalPath` | `sourcePortalPath` The portal path for the source of the notification.
`String` | `sourcePortletDefinitionLabel` The portlet definition label for the source of the notification.
`String` | `sourcePortletInstanceLabel` The portlet instance label for the source of the notification.
`String` | `sourceWebAppName` The webapp name for the source of the notification- cannot be null.
`String` | `targetWebAppName` The target webapp for the notification.

Constructor Summary
`NotificationPayloadInfo()` Default constructor.

Method Summary
`String` | `toString()`
`void` | `validate()` Used to validate that all instance variables have acceptable values.
`void` | `validate(boolean checkExpiration)` Used to validate that instance variables have acceptable values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_PAYLOAD_LENGTH

    public static final int MAX_PAYLOAD_LENGTH

  The maximum length for a payload. This is dictated by the database table.

  See Also
    Constants Summary

### namespace

    public String namespace

  The namespace for the notification- cannot be null.

### name

    public String name

  The name for the notification- cannot be null.

### payload

    public String payload

  The actual payload for the notification. May be null.

### targetWebAppName

    public String targetWebAppName

  The target webapp for the notification. If null, the notification is assumed to be globally scoped (delivered to all webapps).

### sourceWebAppName

    public String sourceWebAppName

  The webapp name for the source of the notification- cannot be null.

### sourcePortalPath

    public PortalPath sourcePortalPath

  The portal path for the source of the notification. May be null.

### sourceDesktopPath

    public DesktopPath sourceDesktopPath

  The desktop path for the source of the notification. May be null.

### sourceDesktopInstanceTitle

    public String sourceDesktopInstanceTitle

  The desktop instance title for the source of the notification. May be null.

### sourcePortletDefinitionLabel

    public String sourcePortletDefinitionLabel

  The portlet definition label for the source of the notification. May be null.

### sourcePortletInstanceLabel

    public String sourcePortletInstanceLabel

  The portlet instance label for the source of the notification. May be null.

### selfDestruct

    public boolean selfDestruct

  Flag indicating whether notifications should self-destruct. If true, the notification will be removed from the database automatically as it is consumed or when it expires. If false, the notification will be marked as consumed or expired in the database but not removed ever by the framework. Default value is `true` and this is highly recommended.

### expirationDate

    public Date expirationDate

  The date after which the notification is considered expired and will no longer be delivered. If the notification self-destruct flag is `true`, the notification will be automatically removed from the database when it expires. This value cannot be null or prior to the current time.

Constructor Detail

### NotificationPayloadInfo

    public NotificationPayloadInfo()

  Default constructor. All values must be set using public instance variables.

Method Detail

### validate

    public void validate()
                  throws IllegalArgumentException

  Used to validate that all instance variables have acceptable values. Throws an IllegalArgumentException if any of the instance variables do not have acceptable values.

  Throws
    `IllegalArgumentException` - if any of the instance variables do not have acceptable values.

### validate

    public void validate(boolean checkExpiration)
                  throws IllegalArgumentException

  Used to validate that instance variables have acceptable values. Throws an IllegalArgumentException if any of the instance variables do not have acceptable values.

  Parameters
    `checkExpiration` - if `false`, the expirationDate is not checked to see if it is before the current time.
  Throws
    `IllegalArgumentException` - if any of the instance variables do not have acceptable values.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.